# Uses of Interface
org.eclipse.jdt.debug.core.IJavaStratumLineBreakpoint

Packages that use IJavaStratumLineBreakpoint
Package
Description
org.eclipse.jdt.debug.core
Provides an implementation of a debug model based on JPDA (Java Platform Debug Architecture).

## Uses of IJavaStratumLineBreakpoint in org.eclipse.jdt.debug.core

Methods in org.eclipse.jdt.debug.core that return IJavaStratumLineBreakpoint
Modifier and Type
Method
Description
`static IJavaStratumLineBreakpoint`
JDIDebugModel.`createStratumBreakpoint(IResource resource, String stratum, String sourceName, String sourcePath, String classNamePattern, int lineNumber, int charStart, int charEnd, int hitCount, boolean register, Map<String,Object> attributes)`
Creates and returns a line breakpoint identified by its source file name and/or path, and stratum that it is relative to.